Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.ptree
Class TextObfuscator

    java.lang.Object
      com.saxonica.ptree.TextObfuscator

All Implemented Interfaces:
  TextMangler

    public class TextObfuscator

extends Object
implements TextMangler

An implementation of TextMangler that performs a crude obfuscation of an input string

Constructor Summary
`TextObfuscator(int mask)`

Method Summary
`CharSequence` | `mangle(CharSequence input)` Convert a character string into another string without losing information
`CharSequence` | `unmangle(CharSequence input)` Convert a character string into another string without losing information, reversing the conversion performed by the mangle() method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextObfuscator

    public TextObfuscator(int mask)

Method Detail

### mangle

    public CharSequence mangle(CharSequence input)

  Convert a character string into another string without losing information

  Specified by:
    `mangle` in interface `TextMangler`
  Parameters:
    `input` - the character string to be converted
  Returns:
    the converted string

### unmangle

    public CharSequence unmangle(CharSequence input)

  Convert a character string into another string without losing information, reversing the conversion performed by the mangle() method

  Specified by:
    `unmangle` in interface `TextMangler`
  Parameters:
    `input` - a character string produced by calling mangle()
  Returns:
    the converted string, the original input to the mangle() method

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.